JOURNAL_START(9)

NAME
journal_start - Obtain a new handle.

SYNOPSIS

handle_t * journal_start(journal_t * journal, int nblocks);

ARGUMENTS

journal
    Journal to start transaction on.

nblocks
    number of block buffer we might modify

DESCRIPTION

We make sure that the transaction can guarantee at least nblocks of modified buffers in the log. We block until the log can guarantee that much space.

This function is visible to journal users (like ext3fs), so is not called with the journal already locked.

Return a pointer to a newly allocated handle, or an ERR_PTR value on failure.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT